
Infrastructure - Story #351

Implement getLogRecords() method for Metacat

2010-03-15 23:15 - Dave Vieglais

Status: Closed Start date:  

Priority: Low Due date:  

Assignee: Chad Berkley % Done: 100%

Category: Metacat Estimated time: 0.00 hour

Target version: CCI-0.4   

Story Points:    

Description

As the KNB node manager, I want the DataONE getLogRecords() method to be implemented for Metacat in order to participate in 

DataONE Mandatory, (3)

- extend current Metacat logging tables to record additional fields req'd for DataONE

- extend existing metacat logging calls to records proper information

- modify metacat getlog() method to return DataONE log format

- expose REST service to call getlog()

- depends on completion of Logging Specification story

- write unit test for getLogRecords() REST service

History

#1 - 2010-03-18 11:13 - Matthew Jones

- Status changed from New to In Progress

#2 - 2010-06-15 22:44 - Chad Berkley

- Status changed from In Progress to Closed

getLogRecords is now fully implemented.  There is a crud unit test in CrudServiceTest and a REST unit test in D1ClientTest.
